using Microsoft.Xna.Framework;

namespace Kav
{
    public struct SpotLight
    {
        public Vector3 Position { get; }
        public Vector3 Direction { get; }
        public Color Color { get; }
        public float Intensity { get; }
        public float Cutoff { get; }

        public SpotLight(Vector3 position, Vector3 direction, Color color, float intensity, float cutoff)
        {
            Position = position;
            Direction = direction;
            Color = color;
            Intensity = intensity;
            Cutoff = cutoff;
        }
    }
}
